NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.TrimSolidBuilder Class Reference

Mold Wizard trim solid management builder, trims bounding box body with region, subtract bounding box with workpiece or keep region and box. More...

Inheritance diagram for NXOpen.Tooling.TrimSolidBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  TrimSolidAction { Trim, Subtract, KeepBoxandRegion }
 represents the action to create trim solid. More...
 
enum  Types { Face, SheetBody, ManufacturingRegion }
 represents the option to select face or sheet body or manufacturing faces to trim the bounding box. More...
 

Public Member Functions

unsafe void CreateBoundBox ()
 Creates the bounding box. More...
 
unsafe NXOpen.Body CreateToolingBox ()
 Creates the tooling box. More...
 
unsafe void InsideBoundBox ()
 The faces inside the bounding box. More...
 
unsafe void InsideCrossBoundBox ()
 The faces inside/cross the bounding box. More...
 
unsafe void SetBoundBox (NXOpen.Body block)
 Sets the bounding box tag. More...
 
unsafe void SetManualBody (NXOpen.Body block)
 Sets the manually selected target body. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Tooling.TrimSolidBuilder.TrimSolidAction 
ActionType [get, set]
 Returns or sets the action type of trim, subtract or just keep the region and the bounding box. More...
 
unsafe bool ChangeBoxSize [get, set]
 Returns or sets the option to change the created boundbox size More...
 
unsafe NXOpen.Expression Clearance [get]
 Returns the single side clearance value of the bounding box. More...
 
unsafe NXOpen.ScCollector RegionFaces [get]
 Returns the region faces to create trim solid. More...
 
unsafe bool RemoveParameter [get, set]
 Returns or sets the option to remove parameter of the trim solid body More...
 
unsafe NXOpen.SelectBody SelectBoundBox [get]
 Returns the selected bounding box. More...
 
unsafe
NXOpen.Assemblies.SelectComponent 
SelectLinkTarget [get]
 Returns the component that the trimmed body is linked to. More...
 
unsafe NXOpen.SelectBodyList SheetBody [get]
 Returns the sheet body to create trim solid. More...
 
unsafe NXOpen.SelectFaceList TaggedFaces [get]
 Returns the faces with the defined attribute to create trim solid. More...
 
unsafe bool TrimDirection [get, set]
 Returns or sets the trim body side. More...
 
unsafe
NXOpen.Tooling.TrimSolidBuilder.Types 
Type [get, set]
 Returns or sets the type to select face, sheet body or manufacturing faces to trim the bounding box. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Mold Wizard trim solid management builder, trims bounding box body with region, subtract bounding box with workpiece or keep region and box.

To create a new instance of this class, use NXOpen.Tooling.TrimSolidCollection.CreateTrimSolidBuilder

Default values.

Property Value

ActionType

Trim

ChangeBoxSize

1

Clearance.Value

0.1 (millimeters part), 0.004 (inches part)

RemoveParameter

0

Created in NX8.0.0

Member Enumeration Documentation

represents the action to create trim solid.

Enumerator
Trim 

Action to do trim.

Subtract 

Action to do subtract.

KeepBoxandRegion 

Action to keep box and region.

represents the option to select face or sheet body or manufacturing faces to trim the bounding box.

Enumerator
Face 

Region with body faces.

SheetBody 

Region with sheet bodies.

ManufacturingRegion 

Region with attribute faces.

Member Function Documentation

unsafe void NXOpen.Tooling.TrimSolidBuilder.CreateBoundBox ( )
inline

Creates the bounding box.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Body NXOpen.Tooling.TrimSolidBuilder.CreateToolingBox ( )
inline

Creates the tooling box.

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Returns
the bounded box body
unsafe void NXOpen.Tooling.TrimSolidBuilder.InsideBoundBox ( )
inline

The faces inside the bounding box.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.TrimSolidBuilder.InsideCrossBoundBox ( )
inline

The faces inside/cross the bounding box.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.TrimSolidBuilder.SetBoundBox ( NXOpen.Body  block)
inline

Sets the bounding box tag.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
blockthe bounding box block body
unsafe void NXOpen.Tooling.TrimSolidBuilder.SetManualBody ( NXOpen.Body  block)
inline

Sets the manually selected target body.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
blockthe manually selected target body

Property Documentation

unsafe NXOpen.Tooling.TrimSolidBuilder.TrimSolidAction NXOpen.Tooling.TrimSolidBuilder.ActionType
getset

Returns or sets the action type of trim, subtract or just keep the region and the bounding box.

Created in NX8.0.0

License requirements to get this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.TrimSolidBuilder.ChangeBoxSize
getset

Returns or sets the option to change the created boundbox size

Created in NX8.0.18

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.TrimSolidBuilder.Clearance
get

Returns the single side clearance value of the bounding box.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Tooling.TrimSolidBuilder.RegionFaces
get

Returns the region faces to create trim solid.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.TrimSolidBuilder.RemoveParameter
getset

Returns or sets the option to remove parameter of the trim solid body

Created in NX8.0.0

License requirements to get this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.SelectBody NXOpen.Tooling.TrimSolidBuilder.SelectBoundBox
get

Returns the selected bounding box.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Assemblies.SelectComponent NXOpen.Tooling.TrimSolidBuilder.SelectLinkTarget
get

Returns the component that the trimmed body is linked to.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.SelectBodyList NXOpen.Tooling.TrimSolidBuilder.SheetBody
get

Returns the sheet body to create trim solid.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.SelectFaceList NXOpen.Tooling.TrimSolidBuilder.TaggedFaces
get

Returns the faces with the defined attribute to create trim solid.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.TrimSolidBuilder.TrimDirection
getset

Returns or sets the trim body side.

Created in NX8.0.0

License requirements to get this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.TrimSolidBuilder.Types NXOpen.Tooling.TrimSolidBuilder.Type
getset

Returns or sets the type to select face, sheet body or manufacturing faces to trim the bounding box.

Created in NX8.0.0

License requirements to get this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.